# API reference

The main two contracts you use to interact with the Cozy protocol are:

* Cozy token contracts
* Cozy Comptroller contract

There are dedicated API reference sections for these core contracts that explain the key concepts and how to use the methods they provide. In addition to the API reference sections for Cozy tokens and the Comptroller, there is a separate full API reference for all contracts that are part of the Cozy protocol. For details about using the Cozy API, see the following sections:

* [Cozy tokens API reference](/for-developers/api-reference/cozy-tokens.md)
* [Comptroller API Rrference](/for-developers/api-reference/comptroller.md)
* [Full API reference](/for-developers/api-reference/full-api-reference.md)

{% hint style="info" %}
When reading the API references, note that any variable described as a *mantissa* is an 18 decimal number. For example, if a contract is storing the number 3.14 as a mantissa, the value in storage will be 3.14e18 = 3,140,000,000,000,000,000.
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://v1-docs.cozy.finance/for-developers/api-reference.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
